Bug 27418 - xinetd crashes regularly
xinetd crashes regularly
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-13 12:03 EST by Wade Minter
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 15:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Minter 2001-02-13 12:03:21 EST
I've experienced several xinetd crashes using Fisher under a Big Sur, dual
B3-800Mhz processors, 4GB RAM.  The most severe looked like:

Feb 12 16:59:31 pilot kernel: xinetd[1413]: General Exception: IA-64
Reserved Register/Field fault (data access) 17179869232
Feb 12 16:59:31 pilot kernel:
Feb 12 16:59:31 pilot kernel: psr : 0000101008026010 ifs : 8000000000000102
ip  : [__strnlen_user+32/96]
Feb 12 16:59:31 pilot kernel: psr : 0000101008026010 ifs : 8000000000000102
ip  : [<e000000000820d20>]
Feb 12 16:59:31 pilot kernel: unat: 0000000000000000 pfs : 0000000000000894
rsc : 0000000000000003
Feb 12 16:59:31 pilot kernel: rnat: e000000111257c50 bsps: e000000111250000
pr  : 0000000000024391
Feb 12 16:59:31 pilot kernel: ldrs: 0000000000000000 ccv : 0000000000000000
fpsr: 0009804c0270033f
Feb 12 16:59:31 pilot kernel: b0  : e0000000005e0530 b6  : e00000000059fc60
b7  : e0000000005212b0
Feb 12 16:59:31 pilot kernel: f6  : 1003e0000000000222418 f7  :
1003eaaaaaaaaaaaaaaab
Feb 12 16:59:31 pilot kernel: f8  : 1003e0000000000000190 f9  :
1003e0000000000000064
Feb 12 16:59:31 pilot kernel: r1  : e000000000a286b0 r2  : 0000000000000894
r3  : 000000000007ffe5
Feb 12 16:59:31 pilot kernel: r8  : 0000000000000000 r9  : 0000000000000000
r10 : 6000000000069770
Feb 12 16:59:31 pilot kernel: r11 : c000000000000308 r12 : e000000111257c90
r13 : e000000111250000
Feb 12 16:59:31 pilot kernel: r14 : 6000000000040840 r15 : 9fffffffffffffff
r16 : 0000000000000000
Feb 12 16:59:31 pilot kernel: r17 : e000000111257c90 r18 : 0000000000000001
r19 : 0000000000000011
Feb 12 16:59:31 pilot kernel: r20 : 0000000000000000 r21 : 0000000000020491
r22 : 0000000000000006
Feb 12 16:59:31 pilot kernel: r23 : 000000000000001a r24 : e00000017e8f9012
r25 : e00000011120fff8
Feb 12 16:59:31 pilot kernel: r26 : 0000000000000000 r27 : 0000000000000006
r28 : 000000000000000f
Feb 12 16:59:31 pilot kernel: r29 : e00000011120fff8 r30 : e00000017e8f9012
r31 : 0000000000000894
Feb 12 16:59:31 pilot kernel: r32 : 0000000000000000 r33 : 0000000000000000
Feb 12 16:59:31 pilot kernel:
Feb 12 16:59:31 pilot kernel: Call Trace: [show_stack+64/192]
sp=0xe000000111257810 bsp=0xe0000001112511d0
Feb 12 16:59:31 pilot kernel: Call Trace: [<e000000000527120>]
sp=0xe000000111257810 bsp=0xe0000001112511d0
Feb 12 16:59:31 pilot kernel: [show_regs+1808/1856] sp=0xe0000001112579d0
bsp=0xe000000111251180
Feb 12 16:59:31 pilot kernel: [<e0000000005278b0>] sp=0xe0000001112579d0
bsp=0xe000000111251180
Feb 12 16:59:31 pilot kernel: [die_if_kernel+112/320] sp=0xe0000001112579f0
bsp=0xe000000111251158
Feb 12 16:59:31 pilot kernel: [<e0000000005391f0>] sp=0xe0000001112579f0
bsp=0xe000000111251158
Feb 12 16:59:31 pilot kernel: [ia64_fault+1936/1984] sp=0xe0000001112579f0
bsp=0xe000000111251120
Feb 12 16:59:31 pilot kernel: [<e00000000053a7f0>] sp=0xe0000001112579f0
bsp=0xe000000111251120
Feb 12 16:59:31 pilot kernel: [ia64_leave_kernel+0/96]
sp=0xe000000111257af0 bsp=0xe000000111251120
Feb 12 16:59:31 pilot kernel: [<e000000000521820>] sp=0xe000000111257af0
bsp=0xe000000111251120
Feb 12 16:59:31 pilot kernel: [__strnlen_user+32/96] sp=0xe000000111257c90
bsp=0xe000000111251110
Feb 12 16:59:31 pilot kernel: [<e000000000820d20>] sp=0xe000000111257c90
bsp=0xe000000111251110
Feb 12 16:59:31 pilot kernel: [copy_strings+208/928] sp=0xe000000111257c90
bsp=0xe000000111251088
Feb 12 16:59:31 pilot kernel: [<e0000000005e0530>] sp=0xe000000111257c90
bsp=0xe000000111251088
Feb 12 16:59:31 pilot kernel: [do_execve+736/1152] sp=0xe000000111257c90
bsp=0xe000000111251028
Feb 12 16:59:31 pilot kernel: [<e0000000005e3720>] sp=0xe000000111257c90
bsp=0xe000000111251028
Feb 12 16:59:31 pilot kernel: [sys_execve+128/224] sp=0xe000000111257e60
bsp=0xe000000111250fd8
Feb 12 16:59:31 pilot kernel: [<e000000000528500>] sp=0xe000000111257e60
bsp=0xe000000111250fd8
Feb 12 16:59:31 pilot kernel: [ia64_execve+48/96] sp=0xe000000111257e60
bsp=0xe000000111250fb0
Feb 12 16:59:31 pilot kernel: [<e0000000005210d0>] sp=0xe000000111257e60
bsp=0xe000000111250fb0
Feb 12 16:59:31 pilot kernel: [ia64_ret_from_syscall+0/32]
sp=0xe000000111257e60 bsp=0xe000000111250fb0
Feb 12 16:59:31 pilot kernel: [<e000000000521800>] sp=0xe000000111257e60
bsp=0xe000000111250fb0
Feb 12 16:59:34 pilot kernel: xinetd[1414]: General Exception: IA-64
Reserved Register/Field fault (data access) 17179869232
Feb 12 16:59:34 pilot kernel:
Feb 12 16:59:34 pilot kernel: psr : 0000101008026010 ifs : 8000000000000102
ip  : [__strnlen_user+32/96]
Feb 12 16:59:34 pilot kernel: psr : 0000101008026010 ifs : 8000000000000102
ip  : [<e000000000820d20>]
Feb 12 16:59:34 pilot kernel: unat: 0000000000000000 pfs : 0000000000000894
rsc : 0000000000000003
Feb 12 16:59:34 pilot kernel: rnat: e00000000092a818 bsps: e00000000092a6e0
pr  : 0000000000024391
Feb 12 16:59:34 pilot kernel: ldrs: 0000000000000000 ccv : 0000000000000000
fpsr: 0009804c0270033f
Feb 12 16:59:34 pilot kernel: b0  : e0000000005e0530 b6  : e00000000059fc60
b7  : e0000000005212b0
Feb 12 16:59:34 pilot kernel: f6  : 1003e0000000000221798 f7  :
1003eaaaaaaaaaaaaaaab
Feb 12 16:59:34 pilot kernel: f8  : 1003e0000000000000190 f9  :
1003e0000000000000064
Feb 12 16:59:34 pilot kernel: r1  : e000000000a286b0 r2  : 0000000000000894
r3  : 000000000007ffe5
Feb 12 16:59:34 pilot kernel: r8  : 0000000000000000 r9  : 0000000000000000
r10 : 6000000000069770
Feb 12 16:59:34 pilot kernel: r11 : c000000000000308 r12 : e000000110c07c90
r13 : e000000110c00000
Feb 12 16:59:34 pilot kernel: r14 : 6000000000040900 r15 : 9fffffffffffffff
r16 : 0000000000000000
Feb 12 16:59:34 pilot kernel: r17 : e000000110c07c90 r18 : 0000000000000001
r19 : 0000000000000011
Feb 12 16:59:34 pilot kernel: r20 : 0000000000000000 r21 : 0000000000020491
r22 : 0000000000000006
Feb 12 16:59:34 pilot kernel: r23 : 000000000000001a r24 : e00000017ec7b012
r25 : e000000110bcfff8
Feb 12 16:59:34 pilot kernel: r26 : 0000000000000000 r27 : 0000000000000006
r28 : 000000000000000f
Feb 12 16:59:35 pilot kernel: r29 : e000000110bcfff8 r30 : e00000017ec7b012
r31 : 0000000000000894
Feb 12 16:59:35 pilot kernel: r32 : 0000000000000000 r33 : 0000000000000000
Feb 12 16:59:35 pilot kernel:
Feb 12 16:59:35 pilot kernel: Call Trace: [show_stack+64/192]
sp=0xe000000110c07810 bsp=0xe000000110c011d0
Feb 12 16:59:35 pilot kernel: Call Trace: [<e000000000527120>]
sp=0xe000000110c07810 bsp=0xe000000110c011d0
Feb 12 16:59:35 pilot kernel: [show_regs+1808/1856] sp=0xe000000110c079d0
bsp=0xe000000110c01180
Feb 12 16:59:35 pilot kernel: [<e0000000005278b0>] sp=0xe000000110c079d0
bsp=0xe000000110c01180
Feb 12 16:59:35 pilot kernel: [die_if_kernel+112/320] sp=0xe000000110c079f0
bsp=0xe000000110c01158
Feb 12 16:59:35 pilot kernel: [<e0000000005391f0>] sp=0xe000000110c079f0
bsp=0xe000000110c01158
Feb 12 16:59:35 pilot kernel: [ia64_fault+1936/1984] sp=0xe000000110c079f0
bsp=0xe000000110c01120
Feb 12 16:59:35 pilot kernel: [<e00000000053a7f0>] sp=0xe000000110c079f0
bsp=0xe000000110c01120
Feb 12 16:59:35 pilot kernel: [ia64_leave_kernel+0/96]
sp=0xe000000110c07af0 bsp=0xe000000110c01120
Feb 12 16:59:35 pilot kernel: [<e000000000521820>] sp=0xe000000110c07af0
bsp=0xe000000110c01120
Feb 12 16:59:35 pilot kernel: [__strnlen_user+32/96] sp=0xe000000110c07c90
bsp=0xe000000110c01110
Feb 12 16:59:35 pilot kernel: [<e000000000820d20>] sp=0xe000000110c07c90
bsp=0xe000000110c01110
Feb 12 16:59:35 pilot kernel: [copy_strings+208/928] sp=0xe000000110c07c90
bsp=0xe000000110c01088
Feb 12 16:59:35 pilot kernel: [<e0000000005e0530>] sp=0xe000000110c07c90
bsp=0xe000000110c01088
Feb 12 16:59:35 pilot kernel: [do_execve+736/1152] sp=0xe000000110c07c90
bsp=0xe000000110c01028
Feb 12 16:59:35 pilot kernel: [<e0000000005e3720>] sp=0xe000000110c07c90
bsp=0xe000000110c01028
Feb 12 16:59:35 pilot kernel: [sys_execve+128/224] sp=0xe000000110c07e60
bsp=0xe000000110c00fd8
Feb 12 16:59:35 pilot kernel: [<e000000000528500>] sp=0xe000000110c07e60
bsp=0xe000000110c00fd8
Feb 12 16:59:35 pilot kernel: [ia64_execve+48/96] sp=0xe000000110c07e60
bsp=0xe000000110c00fb0
Feb 12 16:59:35 pilot kernel: [<e0000000005210d0>] sp=0xe000000110c07e60
bsp=0xe000000110c00fb0
Feb 12 16:59:35 pilot kernel: [ia64_ret_from_syscall+0/32]
sp=0xe000000110c07e60 bsp=0xe000000110c00fb0
Feb 12 16:59:35 pilot kernel: [<e000000000521800>] sp=0xe000000110c07e60
bsp=0xe000000110c00fb0


I also see crashes of the form:

Feb 12 16:59:43 pilot xinetd[1415]: execv( /usr/sbin/in.telnetd ) failed:
Bad address (errno = 14)
Feb 12 16:59:46 pilot xinetd[1416]: execv( /usr/sbin/in.telnetd ) failed:
Bad address (errno = 14)
Feb 12 16:59:54 pilot xinetd[1417]: execv( /usr/sbin/in.telnetd ) failed:
Bad address (errno = 14)
Comment 1 Trond Eivind Glomsrxd 2001-02-13 13:12:27 EST
IA64 fun. Bill?
Comment 2 Trond Eivind Glomsrxd 2001-02-13 13:14:06 EST
General exception would be kernel related (xinetd shouldn't be able to do it..)
- reassigning.
Comment 3 Glen Foster 2001-02-13 15:23:41 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 4 Bill Nottingham 2001-05-15 18:20:36 EDT
This should be fixed with wolverine & later betas. Please re-open if this persists.

Note You need to log in before you can comment on or make changes to this bug.